Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - c -

- c : wgetch_arg , CHAR64LONG16 , s_short , s_double , OnigToken , s_int , s_voidp , s_long , s_float
- cached_const : iseq_compile_data
- call : OnigToken , _Node
- call_addr : EncloseNode
- call_frame : _OnigStackType
- called_id : rb_method_entry_struct
- calltype : cfunc_data
- canonname : rb_addrinfo_t
- capa : FBufferStruct , nkf_buf_t , vtable , _syck_node , RString , RArray , io_internal_struct , StrNode
- capture_history : re_pattern_buffer , ScanEnv
- car : ConsAltNode
- case_fold_flag : ScanEnv , re_pattern_buffer , OnigCompileInfo , OptEnv
- catch_table : rb_iseq_struct
- catch_table_ary : iseq_compile_data
- catch_table_size : rb_iseq_struct
- categorize : chunk_arg
- cbuf : gzfile , rb_io_t
- cbuf_capa : rb_io_t
- cbuf_len : rb_io_t
- cbuf_off : rb_io_t
- cc : IApplyCaseFoldArg
- cclass : _Node
- cd : iconv_env_t
- cdr : ConsAltNode
- cfp : rb_thread_struct
- cfunc : rb_method_definition_struct , RNode
- chain : re_pattern_buffer
- char_len : EncloseNode , AnchorNode
- char_offset : rmatch
- char_offset_num_allocated : rmatch
- char_offset_updated : rmatch
- char_pos : pair_t
- check_root : evloop_params
- check_var : evloop_params
- child_pid : pty_info
- childs : OnigCaptureTreeNodeStruct
- cif : fiddle_closure
- close_dst : copy_stream_struct
- close_src : copy_stream_struct
- cmd : rb_vm_struct , trap_arg
- cmdinfo : invoke_info
- cnt : RNode
- code : CodePointList3 , CodePointList2 , fiddle_closure , OnigCaseFoldCodeItem , OnigToken
- code_len : OnigCaseFoldCodeItem
- code_to_mbc : OnigEncodingTypeST
- code_to_mbclen : OnigEncodingTypeST
- column : token_info
- comment : gzfile
- compare : st_hash_type
- compat_tbl : dump_arg , load_arg
- compile_data : rb_iseq_struct
- complex : RVALUE
- cond : rb_mutex_struct
- cond_notified : rb_mutex_struct
- cond_waiting : rb_mutex_struct
- cons : _Node
- cont : rb_fiber_struct , iseq_catch_table_entry
- Control : WSAMSG
- conv_tree_start : rb_transcoder
- copy_length : copy_stream_struct
- count : SHA1_CTX , rb_objspace , StringIO , _OnigStackType , rb_objspace , md5_state_s
- counter : global_variable
- coverage : parser_params , rb_iseq_struct
- coverages : rb_vm_struct
- crc : gzfile
- create_id : JSON_ParserStruct
- cref_stack : rb_iseq_struct
- ctx_size : rb_digest_metadata_t
- ctype : CtypeNode , OnigToken , _Node , uniname2ctype_struct , PosixBracketEntryType
- curbit : DBM
- curr : strscanner , DIR
- current_block : iseq_compile_data
- current_file : argf
- current_nesting : JSON_ParserStruct
- cursor : _syck_parser
- curstate : cparse_params